org.apache.commons.math3.optim.univariate

## Class UnivariatePointValuePair

- java.lang.Object
- - org.apache.commons.math3.optim.univariate.UnivariatePointValuePair

All Implemented Interfaces:
  java.io.Serializable

    public class UnivariatePointValuePair
    extends java.lang.Object
    implements java.io.Serializable

This class holds a point and the value of an objective function at this point. This is a simple immutable container.

Since:
  3.0
Version:
  $Id: UnivariatePointValuePair.java 1364392 2012-07-22 18:27:12Z tn $
See Also:
  Serialized Form

### Field Summary

Fields
`private double` `point` Point.
`private static long` `serialVersionUID` Serializable version identifier.
`private double` `value` Value of the objective function at the point.

### Constructor Summary

Constructors
Constructor and Description
`UnivariatePointValuePair(double point, double value)` Build a point/objective function value pair.

### Method Summary

Methods
`double` `getPoint()` Get the point.
`double` `getValue()` Get the value of the objective function.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### serialVersionUID

    private static final long serialVersionUID

Serializable version identifier.

See Also:
  Constant Field Values

#### point

    private final double point

Point.

#### value

    private final double value

Value of the objective function at the point.

### Constructor Detail

#### UnivariatePointValuePair

    public UnivariatePointValuePair(double point,
                            double value)

Build a point/objective function value pair.

Parameters:
  `point` - Point.
  `value` - Value of an objective function at the point

### Method Detail

#### getPoint

    public double getPoint()

Get the point.

Returns:
  the point.

#### getValue

    public double getValue()

Get the value of the objective function.

Returns:
  the stored value of the objective function.